import { AgencyNode, VariableType, ValueAccess } from "../types.js";
import { TypeCheckerContext } from "./types.js";
import { Scope } from "./scope.js";
export declare function synthType(expr: AgencyNode, scope: Scope, ctx: TypeCheckerContext): VariableType | "any";
export declare function synthValueAccess(expr: ValueAccess, scope: Scope, ctx: TypeCheckerContext): VariableType | "any";
